@import 'theme_color';
@import 'fonts';
@import 'mixin';
@import 'responsive';

/* [Master Stylesheet - v1.0]
- Template Name: The News Paper - News & Lifestyle Magazine Template
- Template Author: Colorlib
- Template URL: http://colorlib.com
- Version: 1.0
*/

/*
###### Index of Stylesheet ######
:: 1.0 Import Fonts
:: 3.0 Base CSS
:: 4.0 Header Area
:: 5.0 Hero Area 
:: 6.0 Blog Post Area
:: 7.0 Video Post Area
:: 8.0 Footer Add Area
:: 9.0 Footer Area
:: 10.0 About Area
:: 11.0 Cool Facts
:: 12.0 Contact Area
*/

/* :: 1.0 Import Fonts */

@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900');

/* :: 2.0 Import All CSS */


/* :: 3.0 Base CSS */

h1,
h2,
h3,
h4,
h5,
h6 {
    color: $secondary-color;
    line-height: 1.3;
    font-weight: 700;

}

p {
    font-size: 14px;
    line-height: 2;
    font-weight: 400;
}


ul,
ol {
    margin: 0;
    li {
        list-style: none;
    }
}

img {
    height: auto;
    max-width: 100%;
}

@import url(https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css);


$font_content: 14px;
$font_title: 23px;
$color: #009aa9;
$color_gray: #888d8f;
$color_border: #d0d5d8;
$color_violet: #e600a0;
$color_white: #ffffff;
$color_black: #272828;
$color_red: #d0021b;
$color_blue: #4a90e2;
$color_blue_hover: #27558b;
$color_green:  #89c227;
$margin_top: 30px;
$padding: 75px;

$font_content_m: 12px;
$font_menu: 17px;
$font_title_m: 15px;
$padding_m: 15px;
$margin_top_m: 20px;



*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body, html {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: $font_content;
  font-family: $fonts;
  overflow-x: hidden; 
  color: #272828;
  background: $color_white;
  font-size: 15px;
}
.plr-md-0 {
  padding: 0;
}

.mlr-md-0 {
  margin: 0;
}
.slick-slide {
  &:focus, a {
    outline: none;
  }
}

@media (max-width: 767px){
  body,html{
    font-size: 12px;
  }
  .plr-sm-0 {
    padding: 0;
  }

  .mlr-sm-0 {
    margin: 0;
  }
}

svg {
  width: 100%;
}

img {
  object-fit: cover;
}
a {
  color: #272828; 
  font-size: $font_content;
}

a:hover {
  text-decoration: none;
}
ul{
  margin-bottom: 0;
}
ul li{
  list-style: none;
}

label{
  margin-bottom: 0;
}

select {
    outline: 0;
    box-shadow: none;
    border: 1px solid #272828;
    background-image: none;
    padding: 2px 15px 2px 7px;
    border-radius: 5px;
    cursor: pointer;
}




/* **************************************************** */
/* MENU */

header{
  position: fixed;
  width: 100%;
  z-index: 99;
  background: $color_white;
  @include transition(transform, 0.4s, ease);
  @include transform(translateY(0%));
  &.hidden{
    @include transform(translateY(-100%));
  }
  .logo{
    width: 13%;
    margin: auto;
    &.hidden_header{
      opacity: 0;
      visibility: hidden;
      overflow: hidden;
      width: 0;
      height: 0;
    }
      a{
        img{
          width: 100%;
        }
      }
  }
  .menu{
    margin-top: 15px;
    @include centerFlex(center);
      .navbar_menu{
        position: relative;
        .search_input{
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          z-index: 4;
          @include centerFlex(top);
          @include justify-content(space-between);
          @include transform-origin(100%, 100%);
          @include transform(scaleX(0));
          @include transition(all, 0.35s, ease);
          opacity: 0;
          visibility: hidden;
          &.show{
            opacity: 1;
            visibility: visible;
            @include transform(scaleX(1));
          }
          .search_input_menu{
            width: 100%;
            height: 100%;
              .menu_button_m{
                opacity: 0;
                visibility: hidden;
                height: 0;
                width: 0;
                overflow: hidden;
                font-size: $font_menu;
              }
            }
          form{
            width: 100%;
            height: 100%;
            position: relative;
            label{
              width: 100%;
              height: 100%;
              input{
                width: 100%;
                height: 100%;
                outline: none;
                border: none;
                font-size: $font_menu;
                border-bottom: 1px solid $color_border;
                padding-left: 7px;
                background: $color_white;
              }
            }
            > section{
              @include centerAbsolute(top);
              right: 0;
                > button{
                  background: none;
                  outline: none;
                  border: none;
                  font-size: $font_menu;
                  padding: 3px 15px;
                }
            }
          }
          .search_button_m{
            position: relative;
            font-size: $font_menu;
            opacity: 0;
            visibility: hidden;
            height: 0;
            width: 0;
            overflow: hidden;
            > article, > section{
              padding: 3px 10px;
              opacity: 0;
              visibility: hidden;
            }
            > section{
              @include centerAbsolute(center);
              color: $color_green;
              &:hover{
                color: $color_red;
              }
            }
            > article.show, > section.show{
              opacity: 1;
              visibility: visible;
            }
          }
        }
        > ul{
          @include centerFlex(center);
          > li{
            position: relative;
            box-sizing: border-box;
            margin: 0 15px;
            &::before{
              content: "";
              position: absolute;
              bottom: 0;
              left: 0;
              height: 5px;
              width: 100%;
              background: $color_green;
              @include transform(scale(0));
              @include transition(all, 0.15s, ease-in);
            }
            &.active::before,
            &:hover::before{
              @include transform(scale(1));
            }
            &:last-child.active::before,
            &:last-child:hover::before{
              @include transform(scale(0));
            }
              .nav_link{   
                position: relative;
                article{
                  padding: 15px;
                  font-size: $font_menu;
                  font-weight: 400;
                  text-transform: uppercase;
                  &:hover{
                    color: $color_green;
                  }
                }         
                .icon_nav_m{
                  @include centerAbsolute(top);
                  right: 10px;
                  padding: 3px 10px;
                  color: $color_black;
                  font-size: $font_menu;
                  opacity: 0;
                  visibility: hidden;
                }                 
              }
              .nav_menu_1{
                width: 150px;
                position: absolute;
                top: 100%;
                left: 0;
                z-index: 2;
                opacity: 0;
                visibility: hidden;
                @include transition(all, 0.15s, ease-in);
                > ul{
                  > li{
                    position: relative;
                    width: 100%;
                    border-bottom: 1px solid $color_white;
                    background: $color_black;
                    .nav_link{
                        article{
                          padding: 7px 20px;
                          display: inline-block;
                          color: $color_white;
                          text-transform: capitalize;
                          &:hover{
                            color: $color_green;
                          }
                        }
                        .icon_nav_m{
                          color: $color_white;
                        }
                    }

                    .icon_link_nav{
                      @include centerAbsolute(top);
                      right: 10px;
                      padding: 3px 10px;
                      color: $color_white;
                    }

                    .nav_menu_2{
                      padding-left: 3px;
                      width: 100%;
                      position: absolute;
                      top: 0;
                      left: 100%;
                      z-index: 2;
                      opacity: 0;
                      visibility: hidden;
                      @include transition(all, 0.25s, ease-in);
                      > ul{
                        > li{
                          width: 100%;
                          border-bottom: 1px solid $color_white;
                          background: $color_black;
                        }
                      }
                    }
                    &:hover .nav_menu_2{
                      opacity: 1;
                      visibility: visible;
                    }
                    &:hover .icon_d{
                      @include transform(rotate(180deg));
                    }
                  }
                }
              }
              &:hover .nav_menu_1{
                opacity: 1;
                visibility: visible;
              }
          }
        }
      }
      .search_button_d{
        cursor: pointer;
        position: relative;
        > article, > section{
          padding: 3px 10px;
          font-size: $font_menu;
          opacity: 0;
          visibility: hidden;
        }
        > section{
          @include centerAbsolute(center);
          color: $color_green;
          &:hover{
            color: $color_red;
          }
        }
        > article.show, > section.show{
          opacity: 1;
          visibility: visible;
        }
      }
  }
}


@media(max-width: 768px){
  header{
    .logo{
      width: 70%;
    }
    .menu{
      margin-top: 15px;
      display: block;
        .navbar_menu{
          position: relative;
          height: 0;
          .search_input{
            border-bottom: 1px solid $color_border;
            position: relative;
            background: $color_white;
            top: auto;
            left: auto;
            width: 100%;
            height: auto;
            opacity: 1;
            visibility: visible;
            @include transform(scale(1));
            .search_input_menu{
              padding-left: 15px;
              width: 87%;
              .menu_button_m{
                height: auto;
                width: auto;
                overflow: visible;
                opacity: 1;
                visibility: visible;
                position: absolute;
                top: 0;
                left: 0;
                padding: 5px 15px;
                font-size: 20px;
                z-index: 1;
              }
            }
            form{
              position: relative;
              z-index: 2;
              width: 100%;
              opacity: 0;
              visibility: hidden;
              @include transform-origin(100%, 100%);
              @include transform(scaleX(0));
              @include transition(all, 0.35s, ease);
              &.show{
                opacity: 1;
                visibility: visible;
                @include transform(scaleX(1));
              }
              label{
                input{
                  padding: 15px;
                  padding-left: 7px;
                  border: none;
                }
              }
              > section{
                @include centerAbsolute(top);
                right: 0;
                  > button{
                    background: none;
                    outline: none;
                    border: none;
                    font-size: 20px;
                  }
              }
            }
            .search_button_m{
              margin-right: 10px;
              font-size: 20px;
              height: auto;
              width: auto;
              overflow: visible;
              opacity: 1;
              visibility: visible;
            }
          }
          > ul{
            display: block;
            opacity: 0;
            background: $color_white;
            visibility: hidden;
            @include transform-origin(0%, 0%);
            @include transform(scaleY(0));
            @include transition(all, 0.3s, ease);
            &.show{
              opacity: 1;
              visibility: visible;
              @include transform(scaleY(1));
            }
            > li{
              position: relative;
              margin: 0;
              border-bottom: 1px solid $color_border;
              &.active::before,
              &:hover::before{
                @include transform(scale(0));
              }
                .nav_link{   
                  article{
                    font-size: $font_menu;
                  }              
                  .icon_nav_m{
                    opacity: 1;
                    visibility: visible;
                    @include transform(translateY(-50%) rotate(180deg));
                    @include transform-origin(50%, 50%);
                    @include transition(transform, 0.15s, ease);
                    &.collapsed{
                      @include transform(translateY(-50%) rotate(0deg));
                    }
                  }               
                }
                .nav_menu_1{
                  position: relative;
                  width: 100%;
                  top: auto;
                  left: auto;
                  z-index: 2;
                  opacity: 1;
                  visibility: visible;
                  > ul{
                    > li{
                      .nav_link{
                          article{
                            padding: 15px;
                            margin-left: 25px;
                          }
                      }
                      .icon_link_nav{
                        height: 0;
                        width: 0;
                        overflow: hidden;
                        opacity: 0;
                        visibility: hidden;
                      }
                      .nav_menu_2{
                        position: relative;
                        top: auto;
                        left: auto;
                        opacity: 1;
                        visibility: visible;
                        > ul{
                          > li{
                            width: 100%;
                            border-top: 1px solid $color_white;
                            background: $color_black;
                              .nav_link{
                                  article{
                                    margin-left: 50px;
                                  }
                              }
                          }
                        }
                      }
                    }
                  }
                }
            }
          }
        }
        .search_button_d{
          opacity: 0;
          visibility: hidden;
          width: 0;
          height: 0;
          overflow: hidden;
        }
    }
  }

}

.slick-dotted.slick-slider{
  margin-bottom: 0;
}
.slider_home{
  margin-top: 185px;
    .slick_slider_home{
      .slick-dots{
        bottom: 15%;
      }
      .slick-dots li button:before{
        content: "";
        width: 17px;
        height: 17px;
        border-radius: 50%;
        border: 5px solid $color_black;
      }
      .slick-dots li.slick-active button:before{
        opacity: 1;
        background: $color_green;
        border: 5px solid $color_green;
      }
      .slick-dots li button:before{
        opacity: 0.7;
      }
      .slick-dots li button:hover:before{
        border: 5px solid $color_green;
      }
      .once_slide{
        position: relative;
        > section{
          width: 100%;
          height: 100vh;
          img{
            width: 100%;
            height: 100%;
            object-fit: cover;
          }
        }
        > article{
          @include centerAbsolute(center);
          text-align: center;
          width: 85%;
          @include transition(all, 0s, ease-out);
          margin-top: 100px;
          opacity: 0;
          visibility: hidden;
          h1{
            font-size: 55px;
            margin: 15px 0;
          }
          section{
            font-size: $font_title;
            margin: 30px 0;
          }
          .button_link{
            margin-top: 40px;
            article{
              display: inline-block;
              padding: 10px 30px;
              background: $color_green;
              color: $color_white;
              font-size: $font_title;
              text-transform: uppercase;
              &:hover{
                background: $color_black;
              }
            }
          }
        }
        &.slick-active{
          > article{
            @include transition(all, 0.7s, ease-out);
            margin-top: 0;
            opacity: 1;
            visibility: visible;
          }
        }
      }
    }
}

.welcome{
  font-size: $font_title;
  width: 100%;
  padding: 70px 20%;
  text-align: center;
  background-image: url('../images/image29.jpg');
  background-repeat: no-repeat;
  background-color: #f0f5f8;
  > h1{
    font-size: 50px;
  }
  > h3{
    font-size: 35px;
    color: $color_green;
    margin-top: 20px;
  }
  > article{
    font-weight: 600;
    margin-top: 20px;
  }
  > section{
    color: $color_gray;
    margin-top: 20px;
  }
  .btn_link{
    margin-top: 20px;
    article{
      display: inline-block;
      font-size: $font_title;
      background: $color_green;
      color: $color_white;
      padding: 5px 25px;
      border-radius: 5px;
      &:hover{
        background: $color_black;
      }
    }
  }
}



.image_section_home_1{
  height: 90vh;
  img{
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
}

.post_section_home_1{
  font-size: $font_title;
  text-align: center;
  padding: 30px;
  > div{
    width: 50%;
    margin: auto;
      img{
        width: 100%;
      }
  }
  > article{
    font-weight: 600;
  }
}


.section_home_2{
  padding: 70px;
  background: #363d42;
  @include centerFlex(top);
  @include justify-content(space-between);
  font-size: $font_title;
  > article{
    width: 70%;
    color: $color_white;
    span{
      color: $color_green;
    }
  }
  > section{
    article{
      font-size: $font_menu;
      color: $color_white;
      background: $color_green;
      padding: 10px 35px;
      &:hover{
        background: $color_black;
      }
    }
  }
}




.section_home_3{
  padding: 70px;
  > article{
    text-align: center;
    font-size: 40px;
    > section{
      font-weight: 600;
    }
    > span{
      color: $color_green;
    }
  }
  .post_section_home_3{
    margin: 30px 0;
    > article{
      text-align: center;
      font-size: 30px;
      font-weight: 600;
      margin-top: 10px;
    }
  }
}


.section_home_4{
  .post_section_home_4{
    font-size: 20px;
    text-align: center;
    padding: 30px;
    > div{
      margin: 10px auto;
      width: 100px;
      height: 100px;
      @include centerFlex(center);
      font-size: 50px;
      color: $color_white;
      background: $color_green;
      border-radius: 50%;
    }
    > article{
      font-weight: 400;
      text-transform: uppercase;
    }
    > label{
        color: $color_gray;
    }
  }
}


footer{
  text-align: center;
  color: $color_white;
  background-image: url('../images/image38.jpg');
  background-repeat: no-repeat;
  padding: 80px;
  > article{
    font-size: 35px;
    margin: 10px;
  }
  > section{
    font-size: $font_title;
    margin: 10px;
  }
  .link_word{
    margin: 30px;
    ul{
      @include centerFlex(center);
      li{
        a{
          section{
            color: #d1d8e0;
            padding: 5px 10px;
            font-size: $font_title;
            &:hover{
              color: $color_white;
            }
          }
        }
      }
    }
  }
  .border_footer{
    margin: 20px auto;
    width: 35%;
    height: 1px;
    background: $color_white;
    position: relative;
    &::before{
      content: "";
      @include centerAbsolute(center);
      width: 40px;
      height: 4px;
      background: $color_white;
    }
  }
}


.copyright{
  background: #616262;
  color: $color_white;
  text-align: center;
  padding: 15px;
}

@media (max-width: 768px){
  .image_section_home_1{
    width: 0;
    height: 0;
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
  }


  .section_home_2{
    padding: 50px 15px;
    display: block;    
    > article{
      width: 100%;
    }
    > section{
      margin-top: 30px;
      text-align: center;
      article{
        display: inline-block;
      }
    }
  }


  .section_home_3{
    padding: 50px;
    > article{
      font-size: $font_title;
    }
    .post_section_home_3{
      margin: 20px 0;
      > article{
        font-size: $font_title; 
      }
    }
  }

  footer{
    padding: 50px 20px;
    > article{
      line-height: 2.7rem;
    }
    .link_word{
      margin: 20px;
    }
    .border_footer{
      margin: 10px auto;
      width: 70%;
    }
  }


}